error while running buildout command in bob.paper.oneclass_mccnn_2019

99 views
Skip to first unread message

Vinay

unread,
Nov 18, 2020, 3:16:32 PM11/18/20
to bob-devel
hi,
got this error while running buildout  command in bob.paper.oneclass_mccnn_2019
please help me.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs'.
Getting distribution for 'bob.buildout'.
WARNING: The easy_install command is deprecated and will be removed in a future version.
Got bob.buildout 2.2.5.
Getting distribution for 'mr.developer'.
Got mr.developer 2.0.1.
Getting distribution for 'zc.recipe.egg>=2.0.6'.
WARNING: The easy_install command is deprecated and will be removed in a future version.
Got zc.recipe.egg 2.0.7.
mr.developer: Creating missing sources dir /content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src.
mr.developer: Queued 'bob.bio.base' for checkout.
mr.developer: Queued 'bob.db.batl' for checkout.
mr.developer: Queued 'bob.db.oulunpu' for checkout.
mr.developer: Queued 'bob.db.replaymobile' for checkout.
mr.developer: Queued 'bob.extension' for checkout.
mr.developer: Queued 'bob.ip.base' for checkout.
mr.developer: Queued 'bob.ip.mtcnn' for checkout.
mr.developer: Queued 'bob.learn.pytorch' for checkout.
mr.developer: Queued 'bob.measure' for checkout.
mr.developer: Queued 'bob.pad.base' for checkout.
mr.developer: Queued 'bob.pad.face' for checkout.
mr.developer: Cloned 'bob.extension' with git from 'g...@gitlab.idiap.ch:bob/bob.extension'.
mr.developer: git cloning of 'bob.extension' failed.
mr.developer: Host key verification failed.
mr.developer: fatal: Could not read from remote repository.
mr.developer: 
mr.developer: Please make sure you have the correct access rights
mr.developer: and the repository exists.
mr.developer: 
mr.developer: Cloned 'bob.db.replaymobile' with git from 'g...@gitlab.idiap.ch:bob/bob.db.replaymobile'.
mr.developer: git cloning of 'bob.db.replaymobile' failed.
mr.developer: Host key verification failed.
mr.developer: fatal: Could not read from remote repository.
mr.developer: 
mr.developer: Please make sure you have the correct access rights
mr.developer: and the repository exists.
mr.developer: 
mr.developer: Cloned 'bob.db.oulunpu' with git from 'g...@gitlab.idiap.ch:bob/bob.db.oulunpu'.
mr.developer: git cloning of 'bob.db.oulunpu' failed.
mr.developer: Host key verification failed.
mr.developer: fatal: Could not read from remote repository.
mr.developer: 
mr.developer: Please make sure you have the correct access rights
mr.developer: and the repository exists.
mr.developer: 
mr.developer: Cloned 'bob.db.batl' with git from 'g...@gitlab.idiap.ch:bob/bob.db.batl'.
mr.developer: git cloning of 'bob.db.batl' failed.
mr.developer: Host key verification failed.
mr.developer: fatal: Could not read from remote repository.
mr.developer: 
mr.developer: Please make sure you have the correct access rights
mr.developer: and the repository exists.
mr.developer: 
mr.developer: Cloned 'bob.bio.base' with git from 'g...@gitlab.idiap.ch:bob/bob.bio.base'.
mr.developer: git cloning of 'bob.bio.base' failed.
mr.developer: Host key verification failed.
mr.developer: fatal: Could not read from remote repository.
mr.developer: 
mr.developer: Please make sure you have the correct access rights
mr.developer: and the repository exists.
mr.developer: 
mr.developer: There have been errors, see messages above.

Manuel Günther

unread,
Nov 19, 2020, 6:20:30 AM11/19/20
to bob-devel
Vinay,

when you want to use git to clone the repository, you need an account at Idiap. Fortunately, it is possible to clone the repositories without that, i.e., using https instead.

In your case, you should open the buildout.cfg file, move to the [sources] section and replace all "git g...@gitlab.idiap.ch:bob/..." entries with their corresponding entries "https://gitlab.idiap.ch/bob/..."

Let us know if this solves your problem.

Best regards
Manuel  

Vinay Kumar Pasi

unread,
Nov 19, 2020, 10:56:06 AM11/19/20
to bob-...@googlegroups.com
Thankyou for your help.

But now I am facing another problem. Please check it.

mr.developer: Queued 'bob.bio.base' for checkout.
mr.developer: Queued 'bob.db.batl' for checkout.
mr.developer: Queued 'bob.db.oulunpu' for checkout.
mr.developer: Queued 'bob.db.replaymobile' for checkout.
mr.developer: Queued 'bob.extension' for checkout.
mr.developer: Queued 'bob.ip.base' for checkout.
mr.developer: Queued 'bob.ip.mtcnn' for checkout.
mr.developer: Queued 'bob.learn.pytorch' for checkout.
mr.developer: Queued 'bob.measure' for checkout.
mr.developer: Queued 'bob.pad.base' for checkout.
mr.developer: Queued 'bob.pad.face' for checkout.
mr.developer: Cloned 'bob.db.replaymobile' with git from 'https://gitlab.idiap.ch/bob/bob.db.replaymobile'.
mr.developer: Cloned 'bob.db.batl' with git from 'https://gitlab.idiap.ch/bob/bob.db.batl'.
mr.developer: Cloned 'bob.db.oulunpu' with git from 'https://gitlab.idiap.ch/bob/bob.db.oulunpu'.
mr.developer: Cloned 'bob.extension' with git from 'https://gitlab.idiap.ch/bob/bob.extension'.
mr.developer: Cloned 'bob.ip.mtcnn' with git from 'https://gitlab.idiap.ch/bob/bob.ip.mtcnn'.
mr.developer: Cloned 'bob.ip.base' with git from 'https://gitlab.idiap.ch/bob/bob.ip.base'.
mr.developer: Cloned 'bob.learn.pytorch' with git from 'https://gitlab.idiap.ch/bob/bob.learn.pytorch'.
mr.developer: Cloned 'bob.measure' with git from 'https://gitlab.idiap.ch/bob/bob.measure'.
mr.developer: Cloned 'bob.pad.base' with git from 'https://gitlab.idiap.ch/bob/bob.pad.base'.
mr.developer: Cloned 'bob.bio.base' with git from 'https://gitlab.idiap.ch/bob/bob.bio.base'.
mr.developer: Cloned 'bob.pad.face' with git from 'https://gitlab.idiap.ch/bob/bob.pad.face'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/bin'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/parts'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/develop-eggs'.
Develop: '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.extension'
Develop: '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'
bob.buildout.tools: taking requirement `numpy' (1.19.2) from `/usr/local/lib/python3.7/site-packages'
bob.buildout.tools: Installing `bob.extension' for package `/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'...
Getting distribution for 'click-plugins'.
Got click-plugins 1.1.1.
Getting distribution for 'click'.
Got click 7.1.2.
bob.buildout.tools: Installing `bob.blitz' for package `/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'...
Getting distribution for 'bob.blitz'.

WARNING: The easy_install command is deprecated and will be removed in a future version.
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-yrz05a4r/bob.blitz-2.0.22/setup.py", line 9, in <module>
   
ModuleNotFoundError: No module named 'bob.extension'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 2321, in main
    **kw
  File "/usr/local/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "/usr/local/lib/python3.7/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/local/lib/python3.7/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/local/lib/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 425, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 668, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 713, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 898, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 1166, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 1152, in run_setup
    run_setup(setup_script, args)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 253, in run_setup
    raise
  File "/usr/local/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "/usr/local/lib/python3.7/site-packages/setuptools/_vendor/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-yrz05a4r/bob.blitz-2.0.22/setup.py", line 9, in <module>
   
ModuleNotFoundError: No module named 'bob.extension'
An error occurred when trying to install /tmp/tmp5ob4g31qget_dist/bob.blitz-2.0.22.zip. Look above this message for any errors that were output by easy_install.
While:
  Installing.
  Processing develop directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'.
  Getting distribution for 'bob.blitz'.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 2174, in main
    getattr(buildout, command)(args)
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 679, in install
    installed_develop_eggs = self._develop()
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 922, in _develop
    zc.buildout.easy_install.develop(setup, dest)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/extension.py", line 170, in develop
    tools.satisfy_requirements(self.buildout, directory, working_set)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/tools.py", line 231, in satisfy_requirements
    working_set = install_package(buildout, req, working_set)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/tools.py", line 207, in install_package
    newest = bool_option(buildout, 'newest', 'true'),
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 957, in install
    return installer.install(specs, working_set)
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 682, in install
    for dist in self._get_dist(requirement, ws):
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 574, in _get_dist
    dists = [_move_to_eggs_dir_and_compile(dist, self._dest)]
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 1745, in _move_to_eggs_dir_and_compile
    [tmp_loc] = glob.glob(os.path.join(tmp_dest, '*'))
ValueError: not enough values to unpack (expected 1, got 0)

--
-- You received this message because you are subscribed to the Google Groups bob-devel group. To post to this group, send email to bob-...@googlegroups.com. To unsubscribe from this group, send email to bob-devel+...@googlegroups.com. For more options, visit this group at https://groups.google.com/d/forum/bob-devel or directly the project website at http://idiap.github.com/bob/
---
You received this message because you are subscribed to a topic in the Google Groups "bob-devel" group.
To unsubscribe from this topic, visit https://groups.google.com/d/topic/bob-devel/YPRe9nQF-dE/unsubscribe.
To unsubscribe from this group and all its topics, send an email to bob-devel+...@googlegroups.com.
To view this discussion on the web, visit https://groups.google.com/d/msgid/bob-devel/4cd02902-e473-4d24-8ad0-c57edd7dbb26n%40googlegroups.com.

Manuel Günther

unread,
Nov 24, 2020, 5:32:25 AM11/24/20
to bob-devel
I guess that you should first follow the default installation instructions of Bob, but honestly, I am not sure how to solve this new problem. Maybe other people can help you here.

Amir Mohammadi

unread,
Nov 24, 2020, 7:02:19 AM11/24/20
to bob-...@googlegroups.com
Bob does not work on Google colab (no one has managed to install it there).
Please try on a local Linux computer.
You received this message because you are subscribed to the Google Groups "bob-devel" group.
To unsubscribe from this group and stop receiving emails from it, send an email to bob-devel+...@googlegroups.com.

Vinay Kumar Pasi

unread,
Nov 24, 2020, 7:03:06 AM11/24/20
to bob-...@googlegroups.com

Vinay Kumar Pasi

unread,
Nov 26, 2020, 9:16:48 AM11/26/20
to bob-...@googlegroups.com
hi,
now i am running this project on my local linux machine,
and while running buildout command i am getting below errors, please help me to resolve this issue.

(bob.paper.oneclass_mccnn_2019) vinay@vinay-VirtualBox:~/bob.paper.oneclass_mccnn_2019$ buildout
Creating directory '/home/vinay/bob.paper.oneclass_mccnn_2019/eggs'.

Getting distribution for 'mr.developer'.
Got mr.developer 2.0.1.
mr.developer: Creating missing sources dir /home/vinay/bob.paper.oneclass_mccnn_2019/src.

mr.developer: Queued 'bob.bio.base' for checkout.
mr.developer: Queued 'bob.db.batl' for checkout.
mr.developer: Queued 'bob.db.oulunpu' for checkout.
mr.developer: Queued 'bob.db.replaymobile' for checkout.
mr.developer: Queued 'bob.extension' for checkout.
mr.developer: Queued 'bob.ip.base' for checkout.
mr.developer: Queued 'bob.ip.mtcnn' for checkout.
mr.developer: Queued 'bob.learn.pytorch' for checkout.
mr.developer: Queued 'bob.measure' for checkout.
mr.developer: Queued 'bob.pad.base' for checkout.
mr.developer: Queued 'bob.pad.face' for checkout.
mr.developer: Cloned 'bob.db.oulunpu' with git from 'https://gitlab.idiap.ch/bob/bob.db.oulunpu'.
mr.developer: Cloned 'bob.db.replaymobile' with git from 'https://gitlab.idiap.ch/bob/bob.db.replaymobile'.
mr.developer: Cloned 'bob.db.batl' with git from 'https://gitlab.idiap.ch/bob/bob.db.batl'.
mr.developer: Cloned 'bob.extension' with git from 'https://gitlab.idiap.ch/bob/bob.extension'.
mr.developer: Cloned 'bob.bio.base' with git from 'https://gitlab.idiap.ch/bob/bob.bio.base'.
mr.developer: Cloned 'bob.measure' with git from 'https://gitlab.idiap.ch/bob/bob.measure'.
mr.developer: Cloned 'bob.ip.base' with git from 'https://gitlab.idiap.ch/bob/bob.ip.base'.
mr.developer: Cloned 'bob.learn.pytorch' with git from 'https://gitlab.idiap.ch/bob/bob.learn.pytorch'.
mr.developer: Cloned 'bob.ip.mtcnn' with git from 'https://gitlab.idiap.ch/bob/bob.ip.mtcnn'.
mr.developer: Cloned 'bob.pad.base' with git from 'https://gitlab.idiap.ch/bob/bob.pad.base'.
mr.developer: Cloned 'bob.pad.face' with git from 'https://gitlab.idiap.ch/bob/bob.pad.face'.
Creating directory '/home/vinay/bob.paper.oneclass_mccnn_2019/bin'.
Creating directory '/home/vinay/bob.paper.oneclass_mccnn_2019/parts'.
Creating directory '/home/vinay/bob.paper.oneclass_mccnn_2019/develop-eggs'.
Develop: '/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.extension'
Develop: '/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.measure'
bob.buildout.tools: taking requirement `bob.extension' (5.0.2b0) from `/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.extension'
bob.buildout.tools: taking requirement `bob.blitz' (2.0.20) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `bob.core' (2.2.4) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `bob.math' (3.1.5) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `bob.io.base' (3.0.7) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `matplotlib' (3.3.1) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `docopt' (0.6.2) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `tabulate' (0.8.7) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `numpy' (1.17.4) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
bob.buildout.tools: taking requirement `scipy' (1.5.2) from `/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages'
Cannot get system include paths with CC=None
ERROR:bob.extension:Cannot get system include paths with CC=None

Traceback (most recent call last):
  File "/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.extension/bob/extension/__init__.py", line 294, in find_system_include_paths
    out = subprocess.check_output(cmd, stderr=subprocess.STDOUT, shell=True)
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/subprocess.py", line 411, in check_output
    **kwargs).stdout
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/subprocess.py", line 512, in run
    output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command 'echo | None -v -E -' returned non-zero exit status 127.


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/tmpf5_93gd3", line 14, in <module>
    exec(compile(open('/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.measure/setup.py').read(), '/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.measure/setup.py', 'exec'))
  File "/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.measure/setup.py", line 48, in <module>
    boost_modules = boost_modules,
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/bob/blitz/extension.py", line 52, in __init__
    BobExtension.__init__(self, *args, **kwargs)
  File "/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.extension/bob/extension/__init__.py", line 525, in __init__
    compiler_includes = find_system_include_paths()
  File "/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.extension/bob/extension/__init__.py", line 304, in find_system_include_paths
    logger.error('The output of `%s\' was:\n%s', cmd, out)
UnboundLocalError: local variable 'out' referenced before assignment
While:
  Installing.
  Processing develop directory '/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.measure'.


An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/zc/buildout/buildout.py", line 2174, in main
    getattr(buildout, command)(args)
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/zc/buildout/buildout.py", line 679, in install
    installed_develop_eggs = self._develop()
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/zc/buildout/buildout.py", line 922, in _develop
    zc.buildout.easy_install.develop(setup, dest)
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/bob/buildout/extension.py", line 213, in develop
    zc.buildout.easy_install.call_subprocess(args)
  File "/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 166, in call_subprocess
    % repr(args)[1:-1])
Exception: Failed to run command:
'/home/vinay/miniconda3/envs/bob.paper.oneclass_mccnn_2019/bin/python', '/tmp/tmpf5_93gd3', '-q', 'develop', '-mxN', '-d', '/home/vinay/bob.paper.oneclass_mccnn_2019/develop-eggs/tmpi42jjmxabuild'



Vinay

unread,
Nov 29, 2020, 1:52:12 PM11/29/20
to bob-devel
hi,
above problem has been resolved, i am really sorry for the inconvenience.

best regards

Vinay

unread,
Nov 29, 2020, 1:56:01 PM11/29/20
to bob-devel
hi, 
can someone please help with this problem, i am trying to run bob.paper.oneclass_mccnn_2019 project, but when i am running  buildout i am getting below error, can someone please help.

bob.buildout.tools: Installing `bob.pipelines' for package `/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.bio.base'...
Couldn't find index page for 'bob.pipelines' (maybe misspelled?)
Getting distribution for 'bob.pipelines'.
Couldn't find index page for 'bob.pipelines' (maybe misspelled?)
While:
  Installing.
  Processing develop directory '/home/vinay/bob.paper.oneclass_mccnn_2019/src/bob.bio.base'.
  Getting distribution for 'bob.pipelines'.
Error: Couldn't find a distribution for 'bob.pipelines'.


anjit...@gmail.com

unread,
Nov 30, 2020, 5:33:58 AM11/30/20
to bob-devel
Can you try to do it again from the master branch and report. 
Thanks, 
Anjith

Nicole Mikhael Imad

unread,
Dec 2, 2020, 5:19:22 AM12/2/20
to bob-devel
hello everyone ,
kindly note that i am using ubunto as os and facing this problem when i write buildout

mr.developer: Queued 'bob.db.voxforge' for checkout.
mr.developer: Skipped checkout of existing package 'bob.db.voxforge'.
Develop: '/home/nicole/Documents/MSthesis/Buildfromsource/bob.bio.spear/src/bob.db.voxforge'
bob.buildout.tools: taking requirement `setuptools' (46.1.1.post20200323) from `/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages'
bob.buildout.tools: taking requirement `bob.io.base' (3.0.9) from `/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages'
bob.buildout.tools: taking requirement `bob.db.base' (3.0.5) from `/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages'
bob.buildout.tools: taking requirement `bob.bio.base' (4.1.1) from `/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages'
bob.buildout.tools: Installing `bob.io.audio' for package `/home/nicole/Documents/MSthesis/Buildfromsource/bob.bio.spear/src/bob.db.voxforge'...
Getting distribution for 'bob.io.audio'.

WARNING: The easy_install command is deprecated and will be removed in a future version.
Traceback (most recent call last):
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-pxv6ruo2/bob.io.audio-2.0.13/setup.py", line 54, in <module>
    author = 'Andre Anjos',
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/blitz/extension.py", line 52, in __init__
    BobExtension.__init__(self, *args, **kwargs)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/__init__.py", line 482, in __init__
    pkgs = check_packages(packages)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/__init__.py", line 82, in check_packages
    p = pkgconfig(splitreq[0])
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/pkgconfig.py", line 136, in __init__
    raise RuntimeError("pkg-config package `%s' was not found" % name)
RuntimeError: pkg-config package `sox' was not found


During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 2327, in main
    **kw
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/distutils/dist.py", line 955, in run_commands
    self.run_command(cmd)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/distutils/dist.py", line 974, in run_command
    cmd_obj.run()
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 425, in run
    self.easy_install(spec, not self.no_deps)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 674, in easy_install

    return self.install_item(None, spec, tmpdir, deps, True)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 719, in install_item

    dists = self.install_eggs(spec, download, tmpdir)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 904, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 1172, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 1158, in run_setup
    run_setup(setup_script, args)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 253, in run_setup
    raise
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/contextlib.py", line 99, in __exit__
    self.gen.throw(type, value, traceback)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/_vendor/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-pxv6ruo2/bob.io.audio-2.0.13/setup.py", line 54, in <module>
    author = 'Andre Anjos',
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/blitz/extension.py", line 52, in __init__
    BobExtension.__init__(self, *args, **kwargs)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/__init__.py", line 482, in __init__
    pkgs = check_packages(packages)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/__init__.py", line 82, in check_packages
    p = pkgconfig(splitreq[0])
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/extension/pkgconfig.py", line 136, in __init__
    raise RuntimeError("pkg-config package `%s' was not found" % name)
RuntimeError: pkg-config package `sox' was not found
An error occurred when trying to install /tmp/tmpzent2xphget_dist/bob.io.audio-2.0.13.zip. Look above this message for any errors that were output by easy_install.
While:
  Installing.
  Processing develop directory '/home/nicole/Documents/MSthesis/Buildfromsource/bob.bio.spear/src/bob.db.voxforge'.
  Getting distribution for 'bob.io.audio'.


An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/buildout.py", line 2174, in main
    getattr(buildout, command)(args)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/buildout.py", line 679, in install
    installed_develop_eggs = self._develop()
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/buildout.py", line 922, in _develop
    zc.buildout.easy_install.develop(setup, dest)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/buildout/extension.py", line 170, in develop
    tools.satisfy_requirements(self.buildout, directory, working_set)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/buildout/tools.py", line 231, in satisfy_requirements

    working_set = install_package(buildout, req, working_set)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/bob/buildout/tools.py", line 207, in install_package

    newest = bool_option(buildout, 'newest', 'true'),
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/easy_install.py", line 957, in install
    return installer.install(specs, working_set)
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/easy_install.py", line 682, in install

    for dist in self._get_dist(requirement, ws):
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/easy_install.py", line 574, in _get_dist
    dists = [_move_to_eggs_dir_and_compile(dist, self._dest)]
  File "/home/nicole/miniconda3/envs/dev/lib/python3.6/site-packages/zc/buildout/easy_install.py", line 1745, in _move_to_eggs_dir_and_compile

    [tmp_loc] = glob.glob(os.path.join(tmp_dest, '*'))
ValueError: not enough values to unpack (expected 1, got 0)

Amir Mohammadi

unread,
Dec 2, 2020, 5:28:14 AM12/2/20
to bob-...@googlegroups.com, bob-devel
Hello,

Thank you for your interest in Bob.
This question is better suited to Stack Overflow.
Please ask your question on https://stackoverflow.com/ and tag your question with python-bob .
You can also see previous questions about Bob on Stack Overflow here:

Best regards,
Amir
Reply all
Reply to author
Forward
0 new messages